# Class JexlSandbox.WhiteSet

java.lang.Object
org.apache.commons.jexl3.introspection.JexlSandbox.Names
org.apache.commons.jexl3.introspection.JexlSandbox.WhiteSet

Enclosing class:
  `JexlSandbox`

@Deprecated public static final class JexlSandbox.WhiteSet extends JexlSandbox.Names
Deprecated.
since 3.2, use `JexlSandbox.AllowSet`

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WhiteSet()`
  Deprecated.
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(String name)`
  Adds a name to this set.
  `boolean`
  `alias(String name, String alias)`
  Adds an alias to a name to this set.
  `protected JexlSandbox.Names`
  `copy()`
  Gets a copy of these Names
  `String`
  `get(String name)`
  Gets whether a given name is allowed or not.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WhiteSet

    public WhiteSet()
    Deprecated.
    Default constructor

- ## Method Details

  - ### add

    public boolean add(String name)
    Description copied from class: `JexlSandbox.Names`
    Adds a name to this set.
    Specified by:
      `add` in class `JexlSandbox.Names`
    Parameters:
      `name` - the name to add
    Returns:
      true if the name was really added, false if not

  - ### alias

    public boolean alias(String name, String alias)
    Description copied from class: `JexlSandbox.Names`
    Adds an alias to a name to this set.

    This only has an effect on allow lists.

    Overrides:
      `alias` in class `JexlSandbox.Names`
    Parameters:
      `name` - the name to alias
      `alias` - the alias
    Returns:
      true if the alias was added, false if it was already present

  - ### copy

    protected JexlSandbox.Names copy()
    Description copied from class: `JexlSandbox.Names`
    Gets a copy of these Names
    Overrides:
      `copy` in class `JexlSandbox.Names`
    Returns:
      a copy of these Names

  - ### get

    public String get(String name)
    Description copied from class: `JexlSandbox.Names`
    Gets whether a given name is allowed or not.
    Overrides:
      `get` in class `JexlSandbox.Names`
    Parameters:
      `name` - the method/property name to check
    Returns:
      null (or NULL if name is null) if not allowed, the actual name to use otherwise

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`